#!/bin/csh

# do not inherit from CE via batch system wrapper
unsetenv LCG_LOCATION EDG_LOCATION GLOBUS_LOCATION

if ($?EDG_MW_VERSION) then
    if (! $?LCG_SW_TOP) then
	eval ` \\
	    unsetenv EDG_MW_VERSION; \\
	    bash --login -c ' \\
		echo setenv \\\
		    LCG_SW_TOP ${VO_DTEAM_SW_DIR:-VO_DTEAM_SW_DIR_undefined}; \\
		echo "; "set lcg_loc=${LCG_LOCATION:-LCG_LOCATION_undefined} \\
	    ' \\
	`
    endif

    set vers_cmd=$lcg_loc/bin/lcg-version
    set version=

    if (-x $vers_cmd) then
	set version=`$vers_cmd`
    endif

    while ("x$version" != "x$EDG_MW_VERSION")
	switch ($LCG_SW_TOP)
	case /*:
	    set file=etc/profile.d/grid_env.csh
	    set base=$LCG_SW_TOP/$EDG_MW_VERSION
	    set wn_os_cmd=$lcg_loc/bin/lcg-wn-os

	    if (-x $wn_os_cmd) then
		set script=$base/`$wn_os_cmd`/$file

		if (-r "$script") then
		    source "$script"
		    setenv LCG_ENV_SET $EDG_MW_VERSION
		    break
		endif
	    endif
	endsw

	if (-x $vers_cmd) then
	    setenv EDG_MW_VERSION not_found:$EDG_MW_VERSION
	endif
	break
    end
endif

unset lcg_loc vers_cmd version file base wn_os_cmd script
