#!/bin/sh

# do not inherit from CE via batch system wrapper
unset LCG_LOCATION EDG_LOCATION GLOBUS_LOCATION

if test "x$EDG_MW_VERSION" != x
then
    if test "x$LCG_SW_TOP" = x
    then
	eval `
	    unset EDG_MW_VERSION
	    bash --login -c '
		echo export \
		    LCG_SW_TOP=${VO_DTEAM_SW_DIR:-VO_DTEAM_SW_DIR_undefined} \
		    lcg_loc=${LCG_LOCATION:-LCG_LOCATION_undefined}
	    '
	`
    fi

    vers_cmd=$lcg_loc/bin/lcg-version
    version=

    if test -x $vers_cmd
    then
	version=`$vers_cmd`
    fi

    while test "x$version" != "x$EDG_MW_VERSION"
    do
	case $LCG_SW_TOP in
	/*)
	    file=etc/profile.d/grid_env.sh
	    base=$LCG_SW_TOP/$EDG_MW_VERSION
	    wn_os_cmd=$lcg_loc/bin/lcg-wn-os

	    if test -x $wn_os_cmd
	    then
		script=$base/`$wn_os_cmd`/$file

		if test -r "$script"
		then
		    . "$script"
		    export LCG_ENV_SET=$EDG_MW_VERSION
		    break
		fi
	    fi
	esac

	if test -x $vers_cmd
	then
	    export EDG_MW_VERSION=not_found:$EDG_MW_VERSION
	fi
	break
    done
fi

unset lcg_loc vers_cmd version file base wn_os_cmd script
